#include "position_class.h"

position_class::position_class()
{
    m_frameTime = 0.0f;
    m_rotationY = 0.0f;
    m_rotationX = 0.0f;
    m_positionX = 0.0f;
    m_positionY = 0.0f;
    m_positionZ = 0.0f;
}


position_class::position_class(const position_class& other)
{
}


position_class::~position_class()
{
}

void position_class::SetFrameTime(float time)
{
    m_frameTime = time;
    return;
}

void position_class::GetRotation(float& y, float& x) const
{
    y = m_rotationY;
    x = m_rotationX;
    return;
}

void position_class::GetPosition(float& x, float& y, float& z) const
{
    x = m_positionX;
    y = m_positionY;
    z = m_positionZ;
    return;
}